Bug 1889838 - race in Operator update after fix from bz1888073
Summary: race in Operator update after fix from bz1888073
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Nick Hale
QA Contact: kuiwang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-20 16:56 UTC by Seth Jennings
Modified: 2020-10-26 00:45 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-lifecycle-manager pull 1823 None closed Bug 1889838: fix race in Operator reconcilation 2020-11-26 07:40:43 UTC

Description Seth Jennings 2020-10-20 16:56:03 UTC
Description of problem:

After https://github.com/operator-framework/operator-lifecycle-manager/pull/1816 merged in bz1888073, unit test flakes:

https://prow.ci.openshift.org/view/gs/origin-ci-test/pr-logs/pull/operator-framework_operator-lifecycle-manager/1822/pull-ci-operator-framework-operator-lifecycle-manager-release-4.6-unit/1318548827241713664

due to a race between watch trigger mapComponentRequests() and queue triggered Reconcile()

Version-Release number of selected component (if applicable):
4.6 nightly

How reproducible:
Sometimes

Steps to Reproduce:
1. Run unit test
2.
3.

Actual results:
Flakes sometimes with missing components in Operator

Expected results:
Should always have all up-to-date components

Additional info:

https://github.com/operator-framework/operator-lifecycle-manager/pull/1816


Note You need to log in before you can comment on or make changes to this bug.